Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization.context
Interface PConstants

    public interface PConstants

Personalization context constants.

Field Summary
`static java.lang.String` | `ANONYMOUS_USER`
`static java.lang.String` | `browser`
`static java.lang.String` | `COPYRIGHT`
`static java.lang.String` | `emailRecipient`
`static java.lang.String` | `LOCALHOST`
`static java.lang.String` | `LOCALHOST_V6`
`static java.lang.String` | `prefix`
`static java.lang.String` | `PREVIEW_ARTIFACTS_MAP`
`static java.lang.String` | `publicRenderParams`
`static java.lang.String` | `pznEmailJspExtraParameters`
`static java.lang.String` | `pznMailSessionResourceRef`
`static java.lang.String` | `PZNUSER`
`static java.lang.String` | `reqDate`
`static java.lang.String` | `session`
`static java.lang.String` | `sharedData`
`static java.lang.String` | `user`
`static java.lang.String` | `userName`

Field Detail

### COPYRIGHT

    static final java.lang.String COPYRIGHT

### user

    static final java.lang.String user

See Also:
  Constant Field Values

### PZNUSER

    static final java.lang.String PZNUSER

See Also:
  Constant Field Values

### emailRecipient

    static final java.lang.String emailRecipient

See Also:
  Constant Field Values

### ANONYMOUS_USER

    static final java.lang.String ANONYMOUS_USER

See Also:
  Constant Field Values

### userName

    static final java.lang.String userName

See Also:
  Constant Field Values

### reqDate

    static final java.lang.String reqDate

See Also:
  Constant Field Values

### session

    static final java.lang.String session

See Also:
  Constant Field Values

### prefix

    static final java.lang.String prefix

See Also:
  Constant Field Values

### browser

    static final java.lang.String browser

### sharedData

    static final java.lang.String sharedData

### publicRenderParams

    static final java.lang.String publicRenderParams

### pznMailSessionResourceRef

    static final java.lang.String pznMailSessionResourceRef

See Also:
  Constant Field Values

### LOCALHOST

    static final java.lang.String LOCALHOST

See Also:
  Constant Field Values

### LOCALHOST_V6

    static final java.lang.String LOCALHOST_V6

See Also:
  Constant Field Values

### PREVIEW_ARTIFACTS_MAP

    static final java.lang.String PREVIEW_ARTIFACTS_MAP

See Also:
  Constant Field Values

### pznEmailJspExtraParameters

    static final java.lang.String pznEmailJspExtraParameters

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD